Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.teleal.cling.support.model
Enum SeekMode

    java.lang.Object
      java.lang.Enum<SeekMode>
          org.teleal.cling.support.model.SeekMode

All Implemented Interfaces:
  Serializable, Comparable<SeekMode>

    public enum SeekMode

extends Enum<SeekMode>

Enum Constant Summary
`ABS_COUNT`
`ABS_TIME`
`CHANNEL_FREQ`
`FRAME`
`REL_COUNT`
`REL_TIME`
`TAPE_INDEX`
`TRACK_NR`

Method Summary
`String` | `toString()`
`static SeekMode` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static SeekMode` | `valueOrExceptionOf(String s)`
`static SeekMode[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### TRACK_NR

    public static final SeekMode TRACK_NR

### ABS_TIME

    public static final SeekMode ABS_TIME

### REL_TIME

    public static final SeekMode REL_TIME

### ABS_COUNT

    public static final SeekMode ABS_COUNT

### REL_COUNT

    public static final SeekMode REL_COUNT

### CHANNEL_FREQ

    public static final SeekMode CHANNEL_FREQ

### TAPE_INDEX

    public static final SeekMode TAPE_INDEX

### FRAME

    public static final SeekMode FRAME

Method Detail

### values

    public static SeekMode[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (SeekMode c : SeekMode.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static SeekMode valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### toString

    public String toString()

  Overrides:
    `toString` in class `Enum<SeekMode>`

### valueOrExceptionOf

    public static SeekMode valueOrExceptionOf(String s)
                                       throws IllegalArgumentException

  Throws:
    `IllegalArgumentException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2011 Teleal GmbH, Switzerland. All Rights Reserved.